### Hierarchy

- PaginationNav

## Index

### Inputs

- disabled
- model
- numOfItemsToShow
- translations

### Outputs

- selectPage

### Constructors

- constructor

### Properties

- disabled
- experimental
- i18n
- model
- nextItemText
- numOfItemsToShow
- previousItemText
- selectPage
- paginationCounter

### Accessors

- backCuts
- currentPage
- frontCuts
- leftArrowDisabled
- rightArrowDisabled
- startOffset
- totalDataLength
- totalNumbersArray
- translations

### Methods

- getCuts
- getPages
- handleOverflowSelection
- jumpToNext
- jumpToPrevious

## Constructors

### constructor

- new PaginationNav(i18n: I18n, experimental: ExperimentalService): PaginationNav

- - Defined in src/pagination/pagination-nav/pagination-nav.component.ts:195

  #### Parameters

  - ##### i18n: I18n

  - ##### experimental: ExperimentalService

  #### Returns PaginationNav

## Properties

### disabled

@Input()
disabled: boolean = false

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:123

### Protected experimental

experimental: ExperimentalService

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:197

### Protected i18n

i18n: I18n

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:197

### model

@Input()
model: PaginationModel

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:119

### nextItemText

nextItemText: Overridable = this.i18n.getOverridable("PAGINATION.NEXT")

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:194

### numOfItemsToShow

@Input()
numOfItemsToShow: number = 4

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:127

### previousItemText

previousItemText: Overridable = this.i18n.getOverridable("PAGINATION.PREVIOUS")

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:195

### selectPage

@Output()
selectPage: EventEmitter<number> = new EventEmitter<number>()

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:151

### Static paginationCounter

paginationCounter: number = 0

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:115

## Accessors

### backCuts

backCuts:

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:181

### currentPage

currentPage:

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:157
- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:161

### frontCuts

frontCuts:

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:176

### leftArrowDisabled

leftArrowDisabled:

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:186

### rightArrowDisabled

rightArrowDisabled:

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:190

### startOffset

startOffset:

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:172

### totalDataLength

totalDataLength:

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:168

### totalNumbersArray

totalNumbersArray:

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:153

### translations

@Input()
translations:

- Defined in src/pagination/pagination-nav/pagination-nav.component.ts:139

## Methods

### Private getCuts

- getCuts(splitPoint?: any): object

- - Defined in src/pagination/pagination-nav/pagination-nav.component.ts:223

  #### Parameters

  - ##### Default value splitPoint: any = null

  #### Returns object

  - ##### back: number

  - ##### front: number

### getPages

- getPages(): number[]

- - Defined in src/pagination/pagination-nav/pagination-nav.component.ts:215

  #### Returns number[]

### handleOverflowSelection

- handleOverflowSelection(page: any): void

- - Defined in src/pagination/pagination-nav/pagination-nav.component.ts:201

  #### Parameters

  - ##### page: any

  #### Returns void

### jumpToNext

- jumpToNext(): void

- - Defined in src/pagination/pagination-nav/pagination-nav.component.ts:207

  #### Returns void

### jumpToPrevious

- jumpToPrevious(): void

- - Defined in src/pagination/pagination-nav/pagination-nav.component.ts:211

  #### Returns void

Generated using TypeDoc